Page MenuHomePhabricator

Make copyright.html usable for non-Wikidata installations
Closed, ResolvedPublic5 Estimated Story Points

Description

Problem:
copyright.html is currently specific to the Wikidata Query Service. It specifies Wikidata, its license and other things that do not apply to other installations. This should somehow be configurable without changing the revision-controlled file.

https://query.wikidata.org/copyright.html

BDD
GIVEN a 3rd party Wikibase installations
AND different licensing conditions of that installation
THEN it should be possible to change the licensing text without touching a file under revision control

Acceptance criteria:

  • a 3rd party installation can easily change the licensing information to fit their project

Event Timeline

Vvjjkkii renamed this task from Make copyright.html usable for non-Wikidata installations to iddaaaaaaa.Jul 1 2018, 1:11 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed a subscriber: Aklapper.
CommunityTechBot renamed this task from iddaaaaaaa to Make copyright.html usable for non-Wikidata installations.Jul 1 2018, 3:27 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added a subscriber: Aklapper.
Lydia_Pintscher moved this task from Incoming to Ready to estimate on the Wikidata-Campsite board.

Our decision during story time is to move this information to a page on Wikidata, and put the link to that page in config.js so that other installations can easily change it to point somewhere else (e. g. a page on their own wiki).

(This would also resolve T211123: copyright.html is missing style sheets, because it would completely get rid of copyright.html.)

@Smalyshev does that sound okay to you?

Sounds good to me.

Addshore triaged this task as Medium priority.Dec 12 2018, 12:23 PM

Change 480669 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[wikidata/query/gui@master] Move copyright to config.js

https://gerrit.wikimedia.org/r/480669

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 18 2018, 11:20 PM

Change 480682 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[wikidata/query/gui@master] Drop copyright.html and link to wikidata instead

https://gerrit.wikimedia.org/r/480682

Change 480669 abandoned by Ladsgroup:
Move copyright to config.js

Reason:
In favor of I39e16dff1e4d98a165acf14848c2dca3cb668a1b

https://gerrit.wikimedia.org/r/480669

I see https://www.wikidata.org/wiki/Wikidata:SPARQL_query_service/Copyright was created, which is nice. But myself and probably other people from WDQS team (at least @Gehel, maybe also @Lucas_Werkmeister_WMDE and others) should be able to edit it. Right now it's not the case.

I see https://www.wikidata.org/wiki/Wikidata:SPARQL_query_service/Copyright was created, which is nice. But myself and probably other people from WDQS team (at least @Gehel, maybe also @Lucas_Werkmeister_WMDE and others) should be able to edit it. Right now it's not the case.

Done. Sorry for the issue.

Change 480682 merged by jenkins-bot:
[wikidata/query/gui@master] Drop copyright.html and link to wikidata instead

https://gerrit.wikimedia.org/r/480682

Change 480684 had a related patch set uploaded (by WDQSGuiBuilder; owner: WDQSGuiBuilder):
[wikidata/query/gui-deploy@production] Merging from e0923f891b09dcdf400ffcbf259f77b529bf4cda:

https://gerrit.wikimedia.org/r/480684

Change 480684 merged by Smalyshev:
[wikidata/query/gui-deploy@production] Merging from e0923f891b09dcdf400ffcbf259f77b529bf4cda:

https://gerrit.wikimedia.org/r/480684

Addshore moved this task from incoming to in progress on the Wikidata board.Dec 19 2018, 12:47 PM
Addshore closed this task as Resolved.Jan 7 2019, 5:47 PM
Addshore added a subscriber: Addshore.

Also made a PR for making this more easily configurable in the docker image

https://github.com/wmde/wikibase-docker/pull/56